function MessageFromMenu(nCount,Param1)
-- if Param1==2000029 then
	-- CreateWindow(200,200,"3",100,"messageinfo") 
-- return;end;
showoptons(0);
return;end;

function mini_create ()
show_help_wnd=true;
	 init_mini(1);
	 	-- create_mini(8128);
	-- finish_mini_game(true);
	create_mini(19,64,30,286,136,726,576,1001,2,10,0,-1);
end;

function gameinput (sender,id,attachedID)


	
	if sender==16 then
	   BlockCursor(false);
		if not help then
			help=true;
			CreateWindow(200,200,"3",100,"messageinfo")
		end;	   
	return;end;
	if sender==30 then
		setcurentleaf("wash_room",19,1);
		DarkScreen(false);
		if flags.minicomplete2 then
			StopEmiter("Bath")
			speciale_action(2,58,true);
			speciale_action(2,101);
			Set_Cursor(160,3);
			collaps_obj(325,0,0,0,0);
			AddElement("gr",325);
			StartTimer(9999,2.5)
			setcolor(325,0,0,0,0.5,1);
			MoveObjectToTree(325); 	
			savegame(SaveLevel())		
		return;end;
		
	return; end;

	--if sender==16 then
	--	if id==1065 then
	--		messagebox("fdgdfg");
			--
			--speciale_action(2,1067,true);	
	--	return;end;
	--return;end;
	
	if sender==36 then
		if id==2100 then
			speciale_action(2,1065,true);	
			speciale_action(2,1066,true);
		return;end;
		if id==2101 then
			BlockCursor(false);
		    clear_satelite_leaf("wash_room");
		return;end;
	return;end;
	if sender==37 then
	   skipping=true;
	return;end;	
	if sender==10 then
		playeffect("miniC");	
		flags.minicomplete2=true;
		StartTimer(2100,6);
		StartTimer(2101,8);
		BlockCursor(true);
		speciale_action(2,1300)
		StartAnimation(1300,0,24);
		playeffect("TubeWater");
		
		--clear_satelite_leaf("wash_room");
		--MoveObjectY(1066,372,320,2)
	return; end;
	if pause_state then
		if sender==1 or sender==6 or sender==14 then
			pause_state=false;
			set_visible_object(11111,false);
		end;	
	return;end;		
	if sender==1 then
	
		if id==6000 then
			   CreateWindow(200,200,"3",100,"messageinfo")
		return;end;		
		if id>=1001 and id<=1064 then
			playeffect("pclick");
			check_mini_game_puzzle(id,7);
		return;end;
		
		if id==1067 then
			
		return;end;
		if id==5000 and skipping then
			if not flags.minicomplete2 then
				playeffect("skip");
				SkipMini()
			return;end;
		return;end;
		if id==1000 then
			playeffect("close");
			finish_mini_game(false);
			clear_satelite_leaf("wash_room");
			DeleteResource("bm_bg");
			DeleteResource("bm_btn");
			DeleteResource("bm_channel");		
			DeleteResource("bm_bg1");	
			DeleteResource("bm_key");		
			DeleteResource("pipe");	
			DeleteResource("pipe1");	
			DeleteResource("pipe2");	
			DeleteResource("pipe3");		
			DeleteResource("bm_light");				
		return;end;
	return;end;
end;	  
function mini_delete ()

end;